For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update cash deposit

Update cash deposit.

Required permissions: TILL_OPERATION

put
/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations/{storeCashReconciliationUid}/cashdeposits/{cashDepositUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
storeCashReconciliationUidstringRequired

Reference to a store cash reconciliation

Pattern: ^[A-Za-z0-9-_]+
cashDepositUidstringRequired

Reference to a cash deposit

Pattern: ^[A-Za-z0-9-_]+
Body
depositNumberstringOptional
amountintegerOptional
depositedAtstring · date-timeOptional
Responses
200

Example response

application/json
cashDepositUidstringRequiredPattern: ^[A-Za-z0-9-_]+
depositNumberstringRequired
amountintegerRequired
depositedAtstring · date-timeRequired
put/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations/{storeCashReconciliationUid}/cashdeposits/{cashDepositUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations/{storeCashReconciliationUid}/cashdeposits/{cashDepositUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 184

{
  "depositNumber": "text",
  "amount": 1,
  "depositedAt": "2026-01-01T00:00:00.000Z",
  "denominations": [
    {
      "currencyCode": "text",
      "denomination": 1,
      "material": "COIN",
      "quantityCounted": 1,
      "amount": 1
    }
  ]
}
200

Example response

{
  "cashDepositUid": "text",
  "depositNumber": "text",
  "amount": 1,
  "depositedAt": "2026-01-01T00:00:00.000Z",
  "denominations": [
    {
      "currencyCode": "text",
      "denomination": 1,
      "material": "COIN",
      "quantityCounted": 1,
      "amount": 1
    }
  ],
  "reconciliations": [
    {
      "storeCashReconciliationUid": "text",
      "reconciliationDate": "2026-01-01",
      "depositAmount": 1,
      "status": "IN_PROGRESS"
    }
  ]
}

Last updated

Was this helpful?